/*---------------------------------------------------------------------
  All code is provided for EDUCATIONAL purposes ONLY. There is no
  warranty and no support.

  Module: nju6355.h
---------------------------------------------------------------------*/
#ifndef _NJU6355_H_
#define _NJU6355_H_

// Adjust the following depending on the clock speed in use

#define RTC_Delay_1us()		_delay_loop_1( 8 )
#define RTC_Delay_10ms()	_delay_loop_2( 20000 )

// Ports connected to NJU6355

#define RTC_DATA_DDR      DDRD
#define RTC_DATA_DDR_BIT  DDD0
#define RTC_DATA_PORT_IN  PIND
#define RTC_DATA_PORT_OUT PORTD
#define RTC_DATA_BIT      PORTD0

#define RTC_CLK_PORT      PORTD
#define RTC_CLK_BIT       PORTD2

#define RTC_IO_PORT       PORTD
#define RTC_IO_BIT        PORTD1

#define RTC_CE_PORT       PORTD
#define RTC_CE_BIT        PORTD3

// Real Time Clock parameters

typedef struct _RTCparms
{
  uint8_t rtc_year;
  uint8_t rtc_month;
  uint8_t rtc_day;
  uint8_t rtc_dayweek;
  uint8_t rtc_hours;
  uint8_t rtc_mins;
  uint8_t rtc_secs;
}
RTCPARMS;

// Functions

void rtc_init( void );
void rtc_read( void );
void rtc_test( void );
void rtc_write( void );

#endif  //_NJU6355_H_
